Subject: Re: linux-next: build failure after merge of the md tree

From: NeilBrown <[email-masked]>
Date: Wed, 28 Mar 2012 15:07:07 +1100

On Wed, 28 Mar 2012 14:32:04 +1100 Stephen Rothwell <[email-masked]>
wrote:

> Hi Neil,
> 
> After merging the md tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> drivers/md/raid5.c: In function 'analyse_stripe':
> drivers/md/raid5.c:3209:33: error: 'struct stripe_head' has no member named 'devs'
> 
> Caused by commit 85e25cfc6bed ("md/raid5: fix handling of bad blocks
> during recovery").
> 
> I have used the version of the md tree from next-20120327 for today.

Sorry 'bout that.  I noticed not long after I had pushed out for-next and
fixed it.  You must have pulled during that window :-(

Thanks,
NeilBrown